@use "../../../styles/mixins";
@use "../../../styles/colors";
@use "../../../styles/defaults";

$panel-border: 0.1rem solid #ddd;

.faqs {
  width: 32%;
  margin-inline: auto;
  margin-bottom: 8rem;
  text-align: center;
  display: flex;
  flex-direction: column;
}

.faqs > .header {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 1rem;
  margin-bottom: 2.4rem;
}

.faqs-heading {
  @include mixins.section-heading;
}

.faqs-subheading {
  @include mixins.section-description;
}

.expansion-panel {
  margin-bottom: 2.8rem;
}

.panel {
  border-bottom: $panel-border;
  padding: 0.8rem;
  padding-left: 0;
  cursor: pointer;
  &:not(.open):hover .question {
    color: colors.$primary-red;
  }
}

.panel:first-child {
  border-top: $panel-border;
}

.panel > .header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.question {
  font-size: 0.9rem;
  color: colors.$neutral-dark;
  font-weight: 500;
}

.arrow-icon {
  color: colors.$primary-blue;
}

.arrow-up {
  transform: rotate(180deg);
  animation: rotateUp 0.3s;
  color: colors.$primary-red;
}

.arrow-down {
  transform: rotate(0);
  animation: rotateDown 0.3s;
}

@keyframes rotateUp {
  from {
    transform: rotate(0);
  }
  to {
    transform: rotate(180deg);
  }
}

@keyframes rotateDown {
  from {
    transform: rotate(180deg);
  }
  to {
    transform: rotate(0);
  }
}

.content {
  font-size: 0.75rem;
  line-height: 2.1;
  color: colors.$neutral-dark;
  text-align: start;
  display: block;
  height: 0;
  overflow: hidden;
}

.open-content {
  padding: 1.6rem 0 0.8rem;
  height: auto;
  animation: fadeInDown 0.3s ease-in-out;
}

.close-content {
  animation: fadeInUp 0.3s ease-in-out;
}

@keyframes fadeInDown {
  from {
    height: 0;
  }
  to {
    height: auto;
  }
}

@keyframes fadeInUp {
  from {
    opacity: 1;
    height: auto;
    transform: translateY(1rem);
  }
  to {
    opacity: 0;
    height: auto;
    transform: translateY(0);
  }
}

app-default-button {
  justify-self: center;
  align-self: center;
}

@media (min-width: 769px) and(max-width: 1050px) {
  .faqs {
    width: 50%;
  }
}

@media (max-width: defaults.$mobile-width) {
  .faqs {
    width: 90%;
  }
  .faqs > .header {
    margin-bottom: 2.8rem;
    gap: 0.8rem;
  }
  .faqs-heading {
    font-size: 1.2rem;
    padding: 0 2rem;
  }
  .faqs-subheading {
    font-size: 0.8rem;
    line-height: 1.8;
    padding: 0 1rem;
  }
  .expansion-panel {
    padding: 0 0.8rem;
  }
  .panel {
    padding: 0.8rem 0;
  }
  .panel:first-child {
    border-top: none;
  }
  .question {
    font-size: 0.8rem;
  }
}
